<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@F0004A=09</action>
    </script>
  </cheat>

  <cheat desc="Select Starting level"> <comment>Use on credit screen</comment>
    <parameter min="1" max="16" step="1"/>
    <script state="change">
      <action>maincpu.pb@F00607=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time To Shoot">
    <script state="run">
      <action>maincpu.pb@F01361=01</action>
    </script>
  </cheat>

  <cheat desc="Always Keep all Balls in Play">
    <script state="on">
      <action>temp0 =maincpu.md@0082D6</action>
      <action>temp1 =maincpu.md@0082DA</action>
    </script>
    <script state="run">
      <action>maincpu.md@0082D6=3D7C30B0</action>
      <action>maincpu.md@0082DA=00024E75</action> <!-- move.w #$30B0, (2,A6) // rts (ball returns in play if went out) -->
    </script>
    <script state="off">
      <action>maincpu.md@0082D6=temp0 </action>
      <action>maincpu.md@0082DA=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Get a Breakthrough Ball Now!"> <comment>Doesn't work on boss levels!</comment>
    <script state="on">
      <action>maincpu.pb@F0204C=41</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@F000B2=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@F000B3=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
